%define libname		%mklibname %{name}
#old ffmpegversion 3.0.7
%define ffmpegversion	3.3.4


Name:		avidemux
Version:	2.7.0
Release:	%mkrel 1
Summary:	A free video editor
License:	GPLv2+
Group:		Video
Url:		http://fixounet.free.fr/avidemux
Source0:	http://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.xz
Source1:	http://ffmpeg.org/releases/ffmpeg-%{ffmpegversion}.tar.bz2

### old Patch0:		avidemux-2.6.19-ffmpeg-version.patch
Patch0:		avidemux-2.7.0-ffmpeg-version.patch
Patch1:		avidemux-qt-2.6.12-desktop.patch
Patch2:		avidemux-plugins-2.6.4-linkage.patch
Patch3:		0001-Disable-faacDecInit-check.patch

BuildRequires: cmake
BuildRequires: yasm
BuildRequires: fakeroot
BuildRequires: chrpath
BuildRequires: ImageMagick
BuildRequires: liba52dec0-devel
BuildRequires: libaften-devel
BuildRequires: libalsa2-devel
BuildRequires: libaudiofile-devel 
BuildRequires: libbzip2-devel 
BuildRequires: libcrystalhd-devel
BuildRequires: libdca-devel 
BuildRequires: libdcaenc-devel
BuildRequires: libesound-devel
BuildRequires: libfaac-devel 
BuildRequires: libfaad2-devel 
BuildRequires: libfontconfig-devel 
BuildRequires: libfreetype6-devel
BuildRequires: libfribidi-devel 
BuildRequires: libglib2.0-devel 
BuildRequires: libjack-devel 
BuildRequires: liblame0-devel 
BuildRequires: liblzma-devel 
BuildRequires: liblzo-devel 
BuildRequires: libmesaglu1-devel 
BuildRequires: libmp4v2-devel
BuildRequires: libogg-devel 
BuildRequires: libopencore-amrnb-devel
BuildRequires: libopencore-amrwb-devel 
BuildRequires: libopus-devel 
BuildRequires: libpulseaudio-devel 
BuildRequires: libqt5core-devel 
BuildRequires: libqt5gui-devel 
BuildRequires: libqt5network-devel 
BuildRequires: libqt5opengl-devel
BuildRequires: libqt5widgets-devel 
BuildRequires: libSDL-devel 
BuildRequires: libsqlite3-devel 
BuildRequires: libtwolame-devel
BuildRequires: libva-devel 
BuildRequires: libvdpau-devel 
BuildRequires: libvorbis0-devel 
BuildRequires: libvpx-devel 
BuildRequires: libx11-devel
BuildRequires: libx265-devel 
BuildRequires: libxext-devel
BuildRequires: libxv-devel 
BuildRequires: libxvid4-devel 
BuildRequires: libxvmc-devel 
BuildRequires: libxcb-devel 
BuildRequires: mesa-devel 
BuildRequires: multiarch-utils 
BuildRequires: qtbase5-common-devel 
BuildRequires: qttools5 
BuildRequires: texi2html
BuildRequires: texinfo 
BuildRequires: x11-proto-devel 
BuildRequires: x264-devel 


%description
Avidemux is a free video editor designed for simple cutting,
filtering and encoding tasks.It supports many file types, including
AVI, DVD compatible MPEG files, MP4 and ASF, using a variety of
codecs. Tasks can be automated using projects, job queue and
powerful scripting capabilities.

%package -n	%{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n	%{libname}
Shared libraries for %{name}.

%package	devel
Summary:	Header files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	pkgconfig(vdpau)
Obsoletes:	%{name}-qt-devel < %{version}-%{release}
Obsoletes:	%{name}-cli-devel < %{version}-%{release}

%description	devel
Header files for %{name}.

%package	cli
Summary:	Command line interface for %{name}
Group:		Video
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-cli-plugins

%description	cli
This package contains the command-line interface for %{name}.

%package	qt
Summary:	Qt5 graphical user interface for %{name}
Group:		Video
%rename		%{name}
Recommends:	%{name}-plugins
Recommends:	%{name}-qt-plugins

%description	qt
This package contains the Qt5 graphical user interface for %{name}.

%package	plugins
Summary:	Plugins for %{name}
Group:		Video

%description	plugins
This package contains the common plugins for %{name}.

%package	cli-plugins
Summary:	Plugins for %{name}-cli
Group:		Video

%description	cli-plugins
This package contains the plugins for the %{name} command-line interface.

%package	qt-plugins
Summary:	Plugins for %{name}-qt
Group:		Video

%description	qt-plugins
This package contains the plugins for the %{name} graphical user interface.


%prep
%setup -qn %{name}_%{version}
rm -f avidemux_core/ffmpeg_package/ffmpeg-*.tar.bz2
cp %{SOURCE1} avidemux_core/ffmpeg_package/
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1


%build
export QTDIR=%{_libdir}/qt5
export CXXFLAGS=-std=c++11
bash bootStrap.bash \
     --with-core \
     --with-cli \
     --with-plugins \
     --with-system-libass \
     --with-system-liba52 \
     --with-system-libmad \
     --with-system-libmp4v2
     

%install
cp -a install/* %{buildroot}
mkdir -p %{buildroot}%{_datadir}/applications
install -D avidemux2.desktop %{buildroot}%{_datadir}/applications/%{name}-qt.desktop
mkdir -p %{buildroot}%{_iconsdir}
convert avidemux_icon.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}-qt.png

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 man/avidemux.1 %{buildroot}%{_mandir}/man1
chrpath --delete %{buildroot}%{_libdir}/*.so*
chrpath --delete %{buildroot}%{_libdir}/ADM_plugins6/*/*.so
chrpath --delete %{buildroot}%{_bindir}/*
rm -rf %{buildroot}%{_datadir}/ADM6_addons

chmod 0755 %buildroot/%{_libdir}/*.*

%files -n %{libname}
%{_libdir}/libADM_audio*.so
%{_libdir}/libADM_core*.so
%{_libdir}/libADM6*.so.*

%files devel
%{_includedir}/%{name}

%files cli
%{_mandir}/man1/avidemux.1*
%{_bindir}/avidemux3_cli
%{_libdir}/libADM_UI_Cli6.so
%{_libdir}/libADM_render6_cli.so

%files qt
%{_bindir}/avidemux3_qt5
%{_bindir}/avidemux3_jobs_qt5
%{_libdir}/libADM_UIQT56.so
%{_libdir}/libADM_render6_QT5.so
%{_libdir}/libADM_openGLQT56.so
%{_datadir}/avidemux6
%{_iconsdir}/%{name}-qt.png
%{_datadir}/applications/%{name}-qt.desktop

%files plugins
%dir %{_libdir}/ADM_plugins6
%dir %{_libdir}/ADM_plugins6/*
%{_libdir}/ADM_plugins6/*/*
%exclude %{_libdir}/ADM_plugins6/videoFilters/cli/*.so
%exclude %{_libdir}/ADM_plugins6/videoFilters/qt5/*.so

%files cli-plugins
%{_libdir}/ADM_plugins6/videoFilters/cli/*.so


%files qt-plugins
%dir %{_datadir}/avidemux6/qt5/i18n
%{_datadir}/avidemux6/qt5/i18n/*.qm
%{_libdir}/ADM_plugins6/videoFilters/qt5/*.so

%changelog
* Mon Oct 08 2018 adrianomorselli <adrianomorselli> 2.7.0-1uplos2018
- updaten
- ffmpeg-version 3.4.2
